Bug 109025 - Checklist class should allow additional checks to be provided without requiring Java source code changes
Checklist class should allow additional checks to be provided without requiri...
Status: CLOSED RAWHIDE
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rafael H. Schloming
Jon Orris
:
Depends On:
Blocks: 109665 110348
  Show dependency treegraph
 
Reported: 2003-11-04 10:37 EST by Daniel Berrange
Modified: 2014-12-01 18:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-02 17:43:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2003-11-04 10:37:47 EST
Description of problem:

The c.a.packaging.Checklist class contains a number of checks for
items such as JAAS / JCE jars, DB driver, etc. Unfortunately all these
checks are implemented as private methods of the class and there is no
mechanism for providing news checks which doesn't involve hacking the
source. 

Checklist should be fixed such that each 'check' is encapsulated in
its own 'plugin' class. A config mechanism would be used to register
validation plugins with the tool, enabling new tests to be trivially
added as problems come to light. This would also enable projects to
plugin customer/project specific checks without forking the code.
Without this capability, the Checklist tool is severely limited in its
usefullness.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Berrange 2003-11-04 10:38:25 EST
bug 98494 contains a growing list of items to check
Comment 2 Richard Li 2003-11-21 09:40:46 EST
-> bstein for clarification as per email
Comment 3 Richard Li 2003-11-21 12:41:07 EST
bstein says:

A check needs to have some metadata associated with it:

   * Package with which it is associated (ie, forum / atoz / etc)
   * Point at which to run. (ie, pre-DB load, pre-Java load,
pre-Hostinit, pre-Startup).
Comment 4 Rafael H. Schloming 2003-12-02 17:25:52 EST
This should be implemented now as of change 38433. See the javadoc for
com.arsdigita.packaging.Check for details on the use of this feature.
Comment 5 Rafael H. Schloming 2003-12-02 17:30:14 EST
One more thing I forgot, even though the javadoc says that the checks
of type "startup" are done on server startup this currently doesn't
happen, they are only actually run by the ccm status command. If we
want them to be run on server start we should generate a ticket for
dennis to make ccm start do the equivalent of running ccm status.

Note You need to log in before you can comment on or make changes to this bug.